<div *ngIf="notifications.length > 0" class="app-notifications">
  <div *ngFor="let notification of notifications; index as i" class="app-notification" [class.success]="notification.type === 'success'"
    [class.warning]="notification.type === 'warning'" [class.error]="notification.type === 'error'">
    <ng-container [ngSwitch]="notification.type">
      <div class="app-notification-type" *ngSwitchCase="'success'">
        <img src="./assets/img/notif_ok.svg" alt="Ok icon">
        <span>Ok!</span>
      </div>
      <div class="app-notification-type" *ngSwitchCase="'warning'">
        <img src="./assets/img/notif_warning.svg" alt="Warning icon">
        <span i18n="@@notification.oops">Oops!</span>
      </div>
      <div class="app-notification-type" *ngSwitchCase="'error'">
        <img src="./assets/img/notif_error.svg" alt="Error icon">
        <span i18n="@@notification.ouch">Ouch!</span>
      </div>
    </ng-container>
    <p class="app-notification-content">{{ notification.message }}</p>
    <button class="close-button" (click)="hide(i)"><span class="fas fa-times"></span></button>
  </div>
</div>
